Trigger document processing
curl --request POST \
--url https://api.example.com/api/v1/knowledge-base/process-document \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"document_uuid": "<string>",
"s3_key": "<string>",
"embedding_service": "openai"
}
'import requests
url = "https://api.example.com/api/v1/knowledge-base/process-document"
payload = {
"document_uuid": "<string>",
"s3_key": "<string>",
"embedding_service": "openai"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_uuid: '<string>', s3_key: '<string>', embedding_service: 'openai'})
};
fetch('https://api.example.com/api/v1/knowledge-base/process-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/knowledge-base/process-document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document_uuid' => '<string>',
's3_key' => '<string>',
'embedding_service' => 'openai'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/knowledge-base/process-document"
payload := strings.NewReader("{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"embedding_service\": \"openai\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/knowledge-base/process-document")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"embedding_service\": \"openai\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/knowledge-base/process-document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"embedding_service\": \"openai\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"document_uuid": "<string>",
"filename": "<string>",
"file_size_bytes": 123,
"file_hash": "<string>",
"mime_type": "<string>",
"processing_status": "<string>",
"total_chunks": 123,
"custom_metadata": {},
"docling_metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": 123,
"created_by": 123,
"is_active": true,
"processing_error": "<string>",
"source_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Knowledge Base
Trigger document processing
Trigger asynchronous processing of an uploaded document.
This endpoint should be called after successfully uploading a file to the presigned URL. It will:
- Create a document record in the database with the specified UUID
- Enqueue a background task to process the document (chunking and embedding)
The document status will be updated from ‘pending’ -> ‘processing’ -> ‘completed’ or ‘failed’.
Embedding Services:
- openai (default): High-quality 1536-dimensional embeddings (requires OPENAI_API_KEY)
- sentence_transformer: Free, offline-capable, 384-dimensional embeddings
Access Control:
- Users can only process documents in their organization.
POST
/
api
/
v1
/
knowledge-base
/
process-document
Trigger document processing
curl --request POST \
--url https://api.example.com/api/v1/knowledge-base/process-document \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"document_uuid": "<string>",
"s3_key": "<string>",
"embedding_service": "openai"
}
'import requests
url = "https://api.example.com/api/v1/knowledge-base/process-document"
payload = {
"document_uuid": "<string>",
"s3_key": "<string>",
"embedding_service": "openai"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_uuid: '<string>', s3_key: '<string>', embedding_service: 'openai'})
};
fetch('https://api.example.com/api/v1/knowledge-base/process-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/knowledge-base/process-document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document_uuid' => '<string>',
's3_key' => '<string>',
'embedding_service' => 'openai'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/knowledge-base/process-document"
payload := strings.NewReader("{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"embedding_service\": \"openai\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/knowledge-base/process-document")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"embedding_service\": \"openai\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/knowledge-base/process-document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"embedding_service\": \"openai\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"document_uuid": "<string>",
"filename": "<string>",
"file_size_bytes": 123,
"file_hash": "<string>",
"mime_type": "<string>",
"processing_status": "<string>",
"total_chunks": 123,
"custom_metadata": {},
"docling_metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": 123,
"created_by": 123,
"is_active": true,
"processing_error": "<string>",
"source_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).
Body
application/json
Request schema for triggering document processing.
Document UUID to process
Storage key of the uploaded file.
Embedding service to use for processing. Options: 'openai' (default, 1536-dim, requires API key) or 'sentence_transformer' (free, 384-dim)
Available options:
sentence_transformer, openai Response
Successful Response
Response schema for document metadata.
